List Comments
Retrieves comments for an issue
Request
GET
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/issues/{issue_slug}/comments
Path parameters
|
Name |
Description |
|
issue_slug |
Type: string Example: `` |
|
org_slug |
Type: string Example: `` |
|
repo_slug |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
page_size |
Type: string<uint64> The maximum number of issues to return. The service may return fewer than Example: `` |
|
page_token |
Type: string A page token, received from a previous call. When paginating, all other parameters must match Example: `` |
|
sort_by |
Type: string Ordering options: comma separated list of fields. For example: "name, created_at" Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"issue_comments": [
{
"id": "example",
"body": "example",
"parent": {
"id": "example"
},
"author": {
"id": "example",
"slug": "example"
},
"updated_by": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"reactions": {},
"attachments": [
{
"id": "example"
}
]
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
issue_comments |
Type: IssueComment[] Example
|
|
next_page_token |
Type: string Example: |
IssueCommentEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
Example
{
"id": "example"
}
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
ReactionCount
|
Name |
Description |
|
count |
Type: integer |
|
self_react |
Type: boolean |
Example
{
"count": 0,
"self_react": true
}
IssueComment
|
Name |
Description |
||
|
attachments |
Type: AttachmentEmbedded[] Example
|
||
|
author |
Type: UserEmbedded Example
|
||
|
body |
Type: string Example: |
||
|
created_at |
Type: string<date-time> Example: |
||
|
id |
Type: string Example: |
||
|
parent |
Type: IssueCommentEmbedded Example
|
||
|
reactions |
Type: key is one of Reactions
Example
|
||
|
updated_at |
Type: string<date-time> Example: |
||
|
updated_by |
Type: UserEmbedded Example
|
Example
{
"id": "example",
"body": "example",
"parent": {
"id": "example"
},
"author": {
"id": "example",
"slug": "example"
},
"updated_by": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"reactions": {},
"attachments": [
{
"id": "example"
}
]
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |